%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Name:           fullrecall
Version:        1.4.20.13
Release:        %mkrel 2
Summary:        A software that can help to memorize with the minimum time investment
License:        Demo
Group:          Education
URL:            http://fullrecall.com/

# wget http://fullrecall.com/d/fullrecall-linux.bin.bz2
Source0:        http://fullrecall.com/d/%{name}-linux.bin.bz2

#manual
Source1:        http://fullrecall.com/%{name}_manual.pdf

# icons extracted from Windows .exe file of delivered by the software author
Source10:       icon16.png
Source11:       icon22.png
Source12:       icon24.png
Source13:       icon32.png
Source14:       icon48.png
Source15:       icon64.png
Source16:       icon128.png
Source17:       scalable.svg

#copied from the website (2011-10-25)
#about license and purchase
Source20:       license
Source21:       readme
Source22:       buy

#docs
Source23:       asking-good-questions
Source24:       faq
Source25:       manual
Source26:       tips

Requires:       hicolor-icon-theme

# 32bit software, nonfree is landing into noarch (like Skype)..
BuildArch:      noarch

%description
FullRecall is a software that can help you memorize the knowledge for lifelong
periods with the minimum time investment. Underlying artificial neural network
gradually grasps your forgetting curve to schedule optimal days for the
reviews–i.e., days when you will be close to forgetting an information.

The author permits to distribute FullRecall with Mageia.


%prep
#nothing

%build
#nothing

%install
#binary
mkdir -p %{buildroot}%{_bindir}
bzcat %{_sourcedir}/%{name}-linux.bin.bz2 > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

#manual
cp %{_sourcedir}/%{name}_manual.pdf .

#pages from the project website
cp %{_sourcedir}/license .
cp %{_sourcedir}/readme .
cp %{_sourcedir}/buy .
cp %{_sourcedir}/asking-good-questions .
cp %{_sourcedir}/faq .
cp %{_sourcedir}/manual .
cp %{_sourcedir}/tips .

#icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,24x24,32x32,48x48,64x64,128x128,scalable}/apps
install -m0644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m0644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
install -m0644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -m0644 %{SOURCE13} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m0644 %{SOURCE14} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m0644 %{SOURCE15} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -m0644 %{SOURCE16} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

#scalable
install -m0644 %{SOURCE17} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=FullRecall
Comment=Flashcard program for using space repetition learning
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Education;Languages;
EOF

cat > README.urpmi <<EOF
This is a free demo version of FullRecall with some less features
There is a commercial full version of FullRecall available.

Please read the author's notes about the full version above:


If you use FullRecall — I ask you to buy license for the full version.
By doing so you will:

- unlock the full PC version of FullRecall:
- no 500 elements limit per learning database
- access to network import/export (i.e., you can keep your database on
  FullRecall server)
- possibility to merge learning databases
- possibility to add images
- "fuzzy search" functionality
- access to the online version
- support further FullRecall development

Cost
Registration fee is US$35 and gives you (the single person) the right to use
FullRecall on as many computers as you wish.

For registered users:
Update to the next minor number version (e.g. 1.2 -> 1.3) is, and always will
be, free.

For more information, please read http://fullrecall.com/buy

EOF

%files
%doc license readme buy asking-good-questions faq manual tips
%doc %{name}_manual.pdf
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/64x64/apps/*
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4.20.13-2.mga3
+ Revision: 350978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 kamil <kamil> 1.4.20.13-1.mga3.nonfree
+ Revision: 337996
- new version 1.4.20.13

* Wed Dec 26 2012 kamil <kamil> 1.4.20.12-1.mga3.nonfree
+ Revision: 335372
- new version 1.4.20.12

* Sat Dec 01 2012 kamil <kamil> 1.4.20.8-1.mga3.nonfree
+ Revision: 324530
- new version 1.4.20.8

* Thu Oct 18 2012 kamil <kamil> 1.4.20.5-1.mga3.nonfree
+ Revision: 308038
- new bugfix version 1.4.20.5

* Wed Oct 10 2012 kamil <kamil> 1.4.20.4-1.mga3.nonfree
+ Revision: 304522
- new version 1.4.20.4

* Tue Jun 19 2012 dams <dams> 1.4.19.6-1.mga3.nonfree
+ Revision: 261950
- new version 1.4.19.6

* Mon Apr 23 2012 kamil <kamil> 1.4.19.1-1.mga3.nonfree
+ Revision: 233008
- new version 1.4.19.1

* Mon Mar 26 2012 kamil <kamil> 1.4.18.1-2.mga2.nonfree
+ Revision: 226556
- mark this package noarch - to be installable smoothly from the x86_64 distro version
- don't require default fonts

* Wed Mar 07 2012 kamil <kamil> 1.4.18.1-1.mga2.nonfree
+ Revision: 220983
- new version 1.4.18.1

* Wed Feb 15 2012 kamil <kamil> 1.4.17.3-2.mga2.nonfree
+ Revision: 209088
- there is only 32-bit binary so disable 64-bit build

* Sun Feb 05 2012 kamil <kamil> 1.4.17.3-1.mga2.nonfree
+ Revision: 204534
- 22x22, 24x24 and 128x128 icons added
- fixed the scalable icon extension
- added missing svg icon
- added license and missing icon 16x16
- imported package fullrecall

  + obgr_seneca <obgr_seneca>
    - added Requires to hicolor-icon-theme
    - added README.urpmi

